<main id="ngApp">
    <div ng-controller="hostInfoController">
<?php if ($showHeader) { ?>
 <div id="hostInfoWrap" class="margin-bottom contentWrapper">
     <h4 class="margin-top-small"><?= $cfengineRole == 'policy_server' ? 'Hub' : 'Host' ?> information</h4>
     <div class="pageTitle">
         <h1>
            <?= isset($Hostnames['Fqhost']) ? $Hostnames['Fqhost'] : 'Undefined' ?>
        </h1>
    </div>
<?php } ?>
     <div class="relative">
     <div class="host-buttons">
     <?php if (isActionAllowed('host.delete')) { ?>
     <button title="Remove host"
             id="assets-remove-host-button"
             key="<?php echo $hostkey ?>"
             class="float-right btn btn-info">
         <i class="bi bi-trash"></i>
     </button>

     <?php } ?>
     <button title="Copy link"
             class="float-right btn btn-info margin-right-xs hide"
             id="copy-host-link">
         <i  class="bi bi-share" ></i>
     </button>
     <?php if (!$isSuperHub) { ?>
     <button title="Request report collection"
            class="float-right btn btn-primary request-report-collection margin-right-xs"
            data-hostkey="<?= $hostkey ?>"
            data-last-report="<?= $last ?>"
    >
        <i class="bi bi-arrow-repeat"></i>
    </button>
     <button title="Trigger agent run"
             class="float-right btn btn-primary trigger-agent-run margin-right-xs"
             data-hostkey="<?= $hostkey ?>"
             data-last-report="<?= $last ?>"
     >
         <i class="bi bi-caret-right-fill"></i>
     </button>
     <?php } ?>
     </div>
     </div>
    <div class="row-fluid host-details">

        <div class="span6">
            <div>

                <h4>
                    Identity
                </h4>
                <div class="row-fluid"><span class="span5"><?php echo $this->lang->line('host_id'); ?>:</span>
                    <span class="span6 host_id_SE" style="word-wrap:break-word">
                        <?php echo $hostkey ?>
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
                <div class="row-fluid"><span class="span5"><?php echo $this->lang->line('host_alias'); ?>:</span>
                    <span class="span6 host_alias">
                        <?php echo ($hostname == "") ? $this->lang->line('host_not_discovered') : $hostname ?>
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
                <?php
                if (isset($Hostnames))
                {
                    foreach ($Hostnames as $key => $value)
                    {
                        ?>

                        <div class="row-fluid"><span class="span5"><?php echo $key ?>:</span> <span class="span6" style="word-wrap:break-word">
                                <?php echo $value; ?>
                                <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                            </span>
                        </div>

                        <?php
                    }
                }
                ?>
            </div>


            <div class="margin-bottom">
                <h4>Report Collection</h4>
                <div class="row-fluid"><span
                            class="span5"><?php echo $this->lang->line('host_ip'); ?>:</span>
                    <span
                            class="span6">
                        <?php echo ($ipaddr == "") ? $this->lang->line('host_not_discovered') : $ipaddr ?>
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
                <div class="row-fluid"><span class="span5">Initiated by:</span><span
                            class="span6">
                        <?= $collectionInitiatedBy ?>
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
                <div class="row-fluid"><span class="span5">Average agent execution interval:</span>
                    <span
                            class="span6"><?= $agentExecutionInterval ?> seconds
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
                <div class="row-fluid"><span class="span5"><?php echo $this->lang->line('host_last_data'); ?>:</span><span class="span6">
                        <?php echo getDateStatus($last); ?>

                    </span>
                </div>
                <div class="row-fluid"><span class="span5">Last agent run:</span><span
                            class="span6">
                        <?= getDateStatus($lastAgentExecutionTime) ?>
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
                <div class="row-fluid"><span class="span5">First report:</span><span
                            class="span6">
                        <?= getDateStatus($firstReport, true) ?>
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
            </div>
        </div>

        <div class="span6">

            <div>
                <h4>System</h4>
                <?php
                if (isset($System))
                {
                    foreach ((array) $System as $key => $value)
                    {
                        ?>
                        <div class="row-fluid"><span class="span5"><?php echo $key ?>:</span> <span class="span6">
                                <?php echo $value; ?>
                                <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                            </span></div>
                        <?php
                    }
                }
                ?>
            </div>

            <div>
                <h4>Network</h4>

                                <?php
                if (!empty($Network['interface']))
                {
                ?>
                <div class="row-fluid"><span class="span5">Interfaces:</span><span class="span7">
                        <?php echo PgsqlArrayToCommaSeparatedList($Network['interface']); ?>
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
                <?php  }    ?>

                <?php
                if (!empty($Network['mac']))
                {
                ?>
                <div class="row-fluid"><span class="span5">MAC addresses:</span> <span class="span6">
                        <?php echo PgsqlArrayToCommaSeparatedList($Network['mac']); ?>
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
                <?php } ?>
                <?php
                if (!empty($Network['address']))
                {
                ?>
                <div class="row-fluid"><span class="span5">IPv4 addresses:</span><span class="span7">
                        <?php echo PgsqlArrayToCommaSeparatedList($Network['address']); ?>
                        <?php $this->load->view('common/copy-to-clipboard.php'); ?>
                    </span>
                </div>
                <?php  }    ?>


            </div>
        </div>

    </div>


    <div class="row-fluid">
        <div class="span6"><hr class="horizontalLine1px" /></div><div class="span6"> <hr class="horizontalLine1px" /></div>
    </div>

    <div class="row-fluid padding-bottom">
        <div class="span6">

            <?php if (!$isSuperHub) { ?>
                <div>
                    <div cmdb hostkey="hostkey" ishub="<?= $cfengineRole == 'policy_server' ? 'true' : 'false'?>"></div>
                </div>
            <?php } ?>
        </div>
        <div class="span6">
            <div class="row-fluid">
                <h4>CFEngine</h4>
                <?php
                if (isset($CFEngine))
                {
                    foreach ((array) $CFEngine as $key => $value)
                    {
                        ?>

                        <div class="row-fluid"><span class="span6"><?php echo $key ?>:</span> <?php echo $value; ?></div>

                        <?php
                    }
                }
                ?>
                <div class="row-fluid"><span class="span6">Host bootstrapped at:</span><span><?= $bootstrappedAt == null ? 'n/a' : getDateStatus($bootstrappedAt, true) ?></span></div>
                <div class="row-fluid"><span class="span6">CFEngine Role:</span>
                    <span><?= $cfengineRole == 'policy_server' ? 'Policy Server' : 'Bootstrapped Host' ?>
                    </span>
                </div>

                <?php  $base64_hostkey = base64_encode(convertSHAToPK_SHA($hostkey)); ?>
                <h4>Software</h4>
                <div class="row-fluid"><span class="span6">Packages installed:</span><b> <?php echo anchor('/reports/report/run?state=' . rawurlencode($software_installed_state) .'&title=Software installed on ' . $hostname, $software_installed, array('class'=>'total_software_installed_SE')); ?></b></div>
                <div class="row-fluid"><span class="span6">Updates available:</span><b> <?php echo anchor('/reports/report/run?state=' . rawurlencode($patches_available_state) .'&title=Updates available on ' . $hostname, $patches_available,  array('class'=>'total_patches_available_SE')); ?></b></div>

            </div>

            <hr class="horizontalLine1px">
            <h4>Status</h4>
            <div id="statusmeasured" style="margin:22px 0px;">
                <div class="row-fluid"><span class="span5"><?php echo $this->lang->line('host_average_load') ?>:</span><span class="span7"><?php echo $load ?>%</span></div>
                <div class="row-fluid"><span class="span5"><?php echo $this->lang->line('host_free_disk') ?>:</span> <span class="span7"><?php echo $free ?>%</span></div>
            </div>
            <div class="margin-top">
                <h4>Measurements</h4>
                <div id="host-vital"></div>
            </div>
        </div>
    </div>
     <hr class="horizontalLine1px" />
     <div class="relative" style="min-height: 100px">
         <div id="pinned_items_wrapper"></div>
         <button class="btn btn-dark-blue inventory-report-btn"
                 data-url="<?= site_url('reports/inventory?host_name='.urlencode($Hostnames['Fqhost']).'&columns=Host name,OS,OS kernel,Memory size (MB)') ?>"
         > Open inventory report</button>
     </div>

     <?php if (isset($policiesExecutionInfo['rows']) && !empty($policiesExecutionInfo['rows'])) {?>
         <hr class="horizontalLine1px" />
         <div>
             <h4>Agent execution time </h4>
             <?= createTableFromApiResponse($policiesExecutionInfo) ?>
         </div>
         <hr class="horizontalLine1px" />
     <?php } ?>

</div>
</div>
</main>

    <div class="modal  hide" id="vital-detail-modal-hostpage"  tabindex="-1">

        <div class="modal-body vitalsModal">
            Loading..
        </div>
    </div>

    <!-- Modal host delete conformation -->

    <div id="hostdelconfirmation" title="Proceed Host Deletion" style="display:none">
        <span>
            <?php
            echo $this->lang->line('host_delete_confirm');
            ?>
        </span>
    </div>

    <div class="modal fade hide" id="hostDeleteSuccess" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-body">
            <p class="alert alert-success">Host(s) deleted successfully</p>
        </div>
        <div class="modal-footer">
            <button class="btn" data-dismiss="modal" id="host-deleted-sucessfull-btn" aria-hidden="true">Close</button>
        </div>
    </div>

    <div class="modal fade hide" id="hostDeleteUnSuccessful" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-body">
            <p class="alert alert-error">There was some error encountered while deleting the host(s).</p>
        </div>
        <div class="modal-footer">
            <button class="btn" data-dismiss="modal" id="host-deleted-sucessfull-btn" aria-hidden="true">Close</button>
        </div>
    </div>


<script type="text/javascript">

    if (typeof loadPageTimeOut === 'undefined') {
        var loadPageTimeOut = null;
    }

    var AssetsPlugins = {};
    // module to delete host used in this page and compliance table grid
    AssetsPlugins.deleteHost = function(){

        var pub = {}; // public methods and vars

        var deleteHostMessage = '<?php echo $this->lang->line('host_delete_confirm'); ?>';
        var deleteHostFailedMessage = 'There was some error encountered while deleting the host(s).';
        var deleteHostSuccessMessage = 'Host deleted sucessfully!'

        pub.deleteHosts = function(arrayKeys) {

            let dialog = bootbox.dialog(deleteHostMessage, [{

                    "label" : "Cancel",
                    "class" : "btn btn-large",
                    "callback": function() {}
                }, {
                    "label" : "Remove",
                    "class" : "btn btn-large btn-primary btn-danger",
                    "callback": function() {
                        var parameters = {'delhosts[]':arrayKeys};
                        dialog.modal('hide');
                        processRequest(parameters).then(showHostDeleteSuccess).fail(showHostDeleteFailure);
                    }
                }],{
                    header:"<h2>Remove host?</h2>",
                    'onEscape': function(){}
                });
        };

        var showHostDeleteSuccess =  function() {
            common.globalSpinner.hide();
            var errorMessage = $('<p></p>')
            .append(deleteHostSuccessMessage)
            .addClass('alert alert-success');

            bootbox.alert(errorMessage,function() {
                window.location.href = "<?php site_url(); ?>";
            });

        };

        var showHostDeleteFailure= function(jqXHR, textStatus, errorThrown) {
            common.globalSpinner.hide();
            var errorMessage = $('<p></p>')
            .append(deleteHostFailedMessage)
            .append('<br/>')
            .append(jqXHR.responseText)
            .addClass('alert alert-error');

             bootbox.alert(errorMessage);
        };

        var processRequest = function(parameters) {
            common.globalSpinner.show();
            return $.ajax({
                type: "POST",
                url: "<?php echo site_url(); ?>/host/delhosts",
                data: parameters,
                async: true
            });
        };

        return pub;
    }();

    $(document).ready(function(){

        $("#assets-remove-host-button").on("click", function(e){
            e.preventDefault();
            var target = $(this);
            var key = target.attr('key');
            var arrayKeys = [];
            arrayKeys.push(key);
            AssetsPlugins.deleteHost.deleteHosts(arrayKeys);
        });



        var genericOption = {
            baseUrl: '<?php echo site_url() ?>',
            showVitalSelectionForHost:true,
            disableExtraButtons:true,
            disableScrollOnTop:true,
            graphclicked: function(e,data) {
                var options = {'remote':genericOption.baseUrl+'/vitals/vital_detail_view/'+data.hostkey +'/'+ data.obs};
                var dialogBody = {
                        'header':"",
                        'body_url':options.remote,
                        'onEscape': function(){}
                    };

                var mainDialog = bootbox.dialog('',[],dialogBody).css({
                        'width': function () {
                            return ($(document).width() * .8) + 'px';
                        },

                        'margin-left': function () {
                            return -($(this).width() / 2);
                        }
                    });

                mainDialog.find('.modal-body').addClass('vitalsModal');
                $(document).off('focusin.modal');
                return;

            }
        };

        if (loadPageTimeOut !== null) {
            clearTimeout(loadPageTimeOut);
        }
        // avoid host page loaded event triggering twice within 1 second
        loadPageTimeOut = setTimeout(() => {
            $('#host-vital').vitalSigns(genericOption);
            $('#host-vital').vitalSigns('setHostObservables','loadavg');
            $('#host-vital').vitalSigns('setHostContext','<?php echo $hostkey ?>',true);
            $('html').trigger('host-page-loaded');
        }, 1000);

    });
</script>

