<?php

class LdapAuthTest extends PHPUnit_Framework_TestCase
{

    private $guard;

    private $config = [
        'domain_controllers' => ['local.loc'],
        'base_dn' => 'DC=local,DC=loc',
        'admin_username' => 'cn=admin,dc=local,dc=loc',
        'admin_password' => 'admin',
        'login_attribute' => 'cn',

        'port' => 389,
        'follow_referrals' => false,
        'use_ssl' => false,
        'use_tls' => false,
        'timeout' => 5,
    ];

    public function __construct()
    {

        $this->guard = $this->createMock(\Adldap\Auth\Guard::class);
        $this->guard->method('attempt')->willReturn(true);


        parent::__construct();
    }


    public function testLogin()
    {


        $provider = new \Adldap\Connections\Provider();
        $provider->setGuard($this->guard);
        $authService = new \Services\Ldap\Implementations\LdapAuth($this->config, $provider);

        $this->assertTrue($authService->login('username', 'password'));


    }


}